Bug 977997 - [abrt] ktp-contact-list-0.6.2-1.fc18: QHash<QModelIndex, QSortFilterProxyModelPrivate::Mapping*>::findNode: Process /usr/bin/ktp-contactlist was killed by signal 11 (SIGSEGV)
[abrt] ktp-contact-list-0.6.2-1.fc18: QHash<QModelIndex, QSortFilterProxyMode...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ktp-contact-list (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
abrt_hash:735e3a0794fff2c4da8eb423879...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 14:42 EDT by salsabil42xoops
Modified: 2014-02-05 16:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:57:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (590.98 KB, text/plain)
2013-06-25 14:43 EDT, salsabil42xoops
no flags Details
File: cgroup (131 bytes, text/plain)
2013-06-25 14:43 EDT, salsabil42xoops
no flags Details
File: core_backtrace (203.61 KB, text/plain)
2013-06-25 14:43 EDT, salsabil42xoops
no flags Details
File: dso_list (13.96 KB, text/plain)
2013-06-25 14:43 EDT, salsabil42xoops
no flags Details
File: environ (1.70 KB, text/plain)
2013-06-25 14:43 EDT, salsabil42xoops
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-25 14:44 EDT, salsabil42xoops
no flags Details
File: maps (69.11 KB, text/plain)
2013-06-25 14:44 EDT, salsabil42xoops
no flags Details
File: open_fds (608 bytes, text/plain)
2013-06-25 14:44 EDT, salsabil42xoops
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-06-25 14:44 EDT, salsabil42xoops
no flags Details
File: xsession_errors (8.26 KB, text/plain)
2013-06-25 14:44 EDT, salsabil42xoops
no flags Details

  None (edit)
Description salsabil42xoops 2013-06-25 14:42:34 EDT
Version-Release number of selected component:
ktp-contact-list-0.6.2-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/ktp-contactlist
crash_function: QHash<QModelIndex, QSortFilterProxyModelPrivate::Mapping*>::findNode
executable:     /usr/bin/ktp-contactlist
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1001
var_log_messages: Jun 25 13:13:13 flp18 abrt[2448]: Saved core dump of pid 2396 (/usr/bin/ktp-contactlist) to /var/tmp/abrt/ccpp-2013-06-25-13:13:12-2396 (51716096 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QHash<QModelIndex, QSortFilterProxyModelPrivate::Mapping*>::findNode at ../../src/corelib/tools/qhash.h:878
 #1 constFind at ../../src/corelib/tools/qhash.h:861
 #2 QSortFilterProxyModelPrivate::create_mapping at itemviews/qsortfilterproxymodel.cpp:318
 #3 QSortFilterProxyModelPrivate::source_to_proxy at itemviews/qsortfilterproxymodel.cpp:387
 #4 QSortFilterProxyModel::mapFromSource at itemviews/qsortfilterproxymodel.cpp:2531
 #5 QSortFilterProxyModel::parent at itemviews/qsortfilterproxymodel.cpp:1677
 #6 parent at kernel/qabstractitemmodel.h:393
 #7 QPersistentModelIndex::parent at kernel/qabstractitemmodel.cpp:347
 #8 isValid at itemviews/qitemselectionmodel.h:131
 #9 QItemSelectionModelPrivate::_q_columnsAboutToBeInserted at itemviews/qitemselectionmodel.cpp:727
Comment 1 salsabil42xoops 2013-06-25 14:43:28 EDT
Created attachment 765249 [details]
File: backtrace
Comment 2 salsabil42xoops 2013-06-25 14:43:33 EDT
Created attachment 765250 [details]
File: cgroup
Comment 3 salsabil42xoops 2013-06-25 14:43:49 EDT
Created attachment 765251 [details]
File: core_backtrace
Comment 4 salsabil42xoops 2013-06-25 14:43:55 EDT
Created attachment 765252 [details]
File: dso_list
Comment 5 salsabil42xoops 2013-06-25 14:43:59 EDT
Created attachment 765253 [details]
File: environ
Comment 6 salsabil42xoops 2013-06-25 14:44:03 EDT
Created attachment 765254 [details]
File: limits
Comment 7 salsabil42xoops 2013-06-25 14:44:09 EDT
Created attachment 765255 [details]
File: maps
Comment 8 salsabil42xoops 2013-06-25 14:44:14 EDT
Created attachment 765256 [details]
File: open_fds
Comment 9 salsabil42xoops 2013-06-25 14:44:18 EDT
Created attachment 765257 [details]
File: proc_pid_status
Comment 10 salsabil42xoops 2013-06-25 14:44:23 EDT
Created attachment 765258 [details]
File: xsession_errors
Comment 11 Fedora End Of Life 2013-12-21 09:08:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:57:51 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.